Bug 437083 - p54usb locking spew and dropped connection
p54usb locking spew and dropped connection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 05:52 EDT by Caolan McNamara
Modified: 2008-06-06 15:13 EDT (History)
1 user (show)

See Also:
Fixed In Version: F-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 15:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (90.67 KB, text/plain)
2008-03-12 05:52 EDT, Caolan McNamara
no flags Details
better dmesg log (41.08 KB, text/plain)
2008-03-12 06:26 EDT, Caolan McNamara
no flags Details
dmesg with an unplug spew if that helps (41.60 KB, text/plain)
2008-03-12 13:03 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Caolan McNamara 2008-03-12 05:52:47 EDT
Description of problem:

I have a ralink 2500 pci card in this rawhide box, it doesn't scan i.e. bug
430038 I suspect. So there's an additional usb wg111 v2 dongle plugged in,
there's a large pile of locking errors logged that seem to refer to both drivers.

Version-Release number of selected component (if applicable):
kernel-2.6.25-0.105.rc5.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. Boot with both devices connected.
  
Actual results:
lots of spew about locking problems.

Additional info:
The usb device does work for a bit, but after a relatively small amount of data
is transferred then a No ProbeResp is logged and that's the end of the device
until removed and reinserted.
Comment 1 Caolan McNamara 2008-03-12 05:52:47 EDT
Created attachment 297742 [details]
dmesg log
Comment 2 Caolan McNamara 2008-03-12 06:26:33 EDT
Created attachment 297745 [details]
better dmesg log

Seeing as a mix of devices is confusing this a bit, I pulled the pci card out,
and here's the dmesg of just the usb p54 device up to the point where enough
data has been transferred to drop connection
Comment 3 Caolan McNamara 2008-03-12 13:01:39 EDT
With the same kernel as mentioned in #437085 connection still drops after enough
data is transferred (during sustained cpu load if that's a possibly trigger),
ripping out the device and sticking it back in lets it reassociate and go again
until the next drop. Though the unplug gives similar spew to #2
Comment 4 Caolan McNamara 2008-03-12 13:03:18 EDT
Created attachment 297805 [details]
dmesg with an unplug spew if that helps
Comment 5 Bug Zapper 2008-05-14 01:58:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 John W. Linville 2008-06-04 15:00:07 EDT
I seem to recall a bug like this being fixed some time back.  Can you recreate
the issue with current f9 kernels?
Comment 7 Caolan McNamara 2008-06-06 15:13:47 EDT
Looks good in F-9 x86_64. No locking spew and large downloads complete
successfully during ludicrous CPU load

Note You need to log in before you can comment on or make changes to this bug.